| Modifier and Type | Class and Description |
|---|---|
| public static interface | ContentDisposition.
A mutable builder for |
| private static class |
| Modifier and Type | Field and Description |
|---|---|
| private static final Pattern | |
| private final Charset | |
| private final ZonedDateTime | |
| private final String | |
| private static final String | |
| private final ZonedDateTime | |
| private final String | |
| private static final BitSet | |
| private static final Pattern | |
| private final ZonedDateTime | |
| private final Long | |
| private final String |
| Access | Constructor and Description |
|---|---|
| private | ContentDisposition(String type, String name, String filename, Charset charset, Long size, ZonedDateTime creationDate, ZonedDateTime modificationDate, ZonedDateTime readDate)
Private constructor. |
| Modifier and Type | Method and Description |
|---|---|
| public static ContentDisposition. | |
| public static ContentDisposition. | |
| private static String | |
| private static String | Returns: the decoded header field paramthe filename filename, Charset the charset for the filename charset)Decode the given header field param as described in RFC 2047. |
| private static String | Returns: the encoded header field paramthe filename filename, Charset the charset for the filename charset)Decode the given header field param as described in RFC 5987. |
| public static ContentDisposition | |
| private static String | |
| private static String | Returns: the encoded header field paramthe filename filename, Charset the charset for the filename charset)Encode the given header field param as described in RFC 2047. |
| private static String | Returns: the encoded header field paramthe header field param input, Charset the charset of the header field param string,
only the US-ASCII, UTF-8 and ISO-8859-1 charsets are supported charset)Encode the given header field param as describe in RFC 5987. |
| public boolean | equals(Object
the reference object with which to compare. other)Overrides java. Indicates whether some other object is "equal to" this one. |
| public static ContentDisposition. | |
| public Charset | |
| public ZonedDateTime | getCreationDate()
Deprecated
since 5.2.3 as per
RFC 6266, Appendix B,
to be removed in a future release.
Return the value of the creation-date parameter, or |
| public String | getFilename()
Return the value of the filename parameter, possibly decoded from BASE64 encoding based on RFC 2047, or of the filename* parameter, possibly decoded as defined in the RFC 5987. |
| public ZonedDateTime | getModificationDate()
Deprecated
since 5.2.3 as per
RFC 6266, Appendix B,
to be removed in a future release.
Return the value of the modification-date parameter, or |
| public String | |
| public ZonedDateTime | getReadDate()
Deprecated
since 5.2.3 as per
RFC 6266, Appendix B,
to be removed in a future release.
Return the value of the read-date parameter, or |
| public Long | getSize()
Deprecated
since 5.2.3 as per
RFC 6266, Appendix B,
to be removed in a future release.
Return the value of the size parameter, or |
| public String | |
| public int | |
| private static char | |
| public static ContentDisposition. | |
| public boolean | |
| public boolean | |
| public boolean | |
| private static boolean | |
| private static boolean | |
| public static ContentDisposition | |
| private static List | |
| public String | toString()
Overrides java. Return the header value for this content disposition as defined in RFC 6266. |
| BASE64_ENCODED_PATTERN | back to summary |
|---|---|
| private static final Pattern BASE64_ENCODED_PATTERN | |
| charset | back to summary |
|---|---|
| private final Charset charset
| |
| creationDate | back to summary |
|---|---|
| private final ZonedDateTime creationDate
| |
| filename | back to summary |
|---|---|
| private final String filename
| |
| INVALID_HEADER_FIELD_PARAMETER_FORMAT | back to summary |
|---|---|
| private static final String INVALID_HEADER_FIELD_PARAMETER_FORMAT | |
| modificationDate | back to summary |
|---|---|
| private final ZonedDateTime modificationDate
| |
| name | back to summary |
|---|---|
| private final String name
| |
| PRINTABLE | back to summary |
|---|---|
| private static final BitSet PRINTABLE | |
| QUOTED_PRINTABLE_ENCODED_PATTERN | back to summary |
|---|---|
| private static final Pattern QUOTED_PRINTABLE_ENCODED_PATTERN | |
| readDate | back to summary |
|---|---|
| private final ZonedDateTime readDate
| |
| size | back to summary |
|---|---|
| private final Long size
| |
| type | back to summary |
|---|---|
| private final String type
| |
| ContentDisposition | back to summary |
|---|---|
| private ContentDisposition(String type, String name, String filename, Charset charset, Long size, ZonedDateTime creationDate, ZonedDateTime modificationDate, ZonedDateTime readDate) Private constructor. See static factory methods in this class. | |
| attachment | back to summary |
|---|---|
| public static ContentDisposition. Return a builder for a
| |
| builder | back to summary |
|---|---|
| public static ContentDisposition. Return a builder for a
| |
| decodeQuotedPairs | back to summary |
|---|---|
| private static String decodeQuotedPairs(String filename) | |
| decodeQuotedPrintableFilename | back to summary |
|---|---|
| private static String decodeQuotedPrintableFilename(String filename, Charset charset) Decode the given header field param as described in RFC 2047. | |
| decodeRfc5987Filename | back to summary |
|---|---|
| private static String decodeRfc5987Filename(String filename, Charset charset) Decode the given header field param as described in RFC 5987. Only the US-ASCII, UTF-8 and ISO-8859-1 charsets are supported. | |
| empty | back to summary |
|---|---|
| public static ContentDisposition empty() Return an empty content disposition. | |
| encodeQuotedPairs | back to summary |
|---|---|
| private static String encodeQuotedPairs(String filename) | |
| encodeQuotedPrintableFilename | back to summary |
|---|---|
| private static String encodeQuotedPrintableFilename(String filename, Charset charset) Encode the given header field param as described in RFC 2047. | |
| encodeRfc5987Filename | back to summary |
|---|---|
| private static String encodeRfc5987Filename(String input, Charset charset) Encode the given header field param as describe in RFC 5987. | |
| equals | back to summary |
|---|---|
| public boolean equals(Object other) Overrides java. Doc from java. Indicates whether some other object is "equal to" this one.
The
An equivalence relation partitions the elements it operates on into equivalence classes; all the members of an equivalence class are equal to each other. Members of an equivalence class are substitutable for each other, at least for some purposes. | |
| formData | back to summary |
|---|---|
| public static ContentDisposition. Return a builder for a
| |
| getCharset | back to summary |
|---|---|
| public Charset getCharset() Return the charset defined in filename* parameter, or
| |
| getCreationDate | back to summary |
|---|---|
| public ZonedDateTime getCreationDate()
Deprecated since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release. Return the value of the creation-date parameter, or
| |
| getFilename | back to summary |
|---|---|
| public String getFilename() Return the value of the filename parameter, possibly decoded from BASE64 encoding based on RFC 2047, or of the filename* parameter, possibly decoded as defined in the RFC 5987.
| |
| getModificationDate | back to summary |
|---|---|
| public ZonedDateTime getModificationDate()
Deprecated since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release. Return the value of the modification-date parameter, or
| |
| getName | back to summary |
|---|---|
| public String getName() Return the value of the name parameter, or
| |
| getReadDate | back to summary |
|---|---|
| public ZonedDateTime getReadDate()
Deprecated since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release. Return the value of the read-date parameter, or
| |
| getSize | back to summary |
|---|---|
| public Long getSize()
Deprecated since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release. Return the value of the size parameter, or
| |
| getType | back to summary |
|---|---|
| public String getType() Return the disposition type.
| |
| hashCode | back to summary |
|---|---|
| public int hashCode() Overrides java. Doc from java. Returns a hash code value for this object. This method is
supported for the benefit of hash tables such as those provided by
The general contract of
| |
| hexDigit | back to summary |
|---|---|
| private static char hexDigit(int b) | |
| inline | back to summary |
|---|---|
| public static ContentDisposition. Return a builder for a
| |
| isAttachment | back to summary |
|---|---|
| public boolean isAttachment() Return whether the
| |
| isFormData | back to summary |
|---|---|
| public boolean isFormData() Return whether the
| |
| isInline | back to summary |
|---|---|
| public boolean isInline() Return whether the
| |
| isPrintable | back to summary |
|---|---|
| private static boolean isPrintable(byte c) | |
| isRFC5987AttrChar | back to summary |
|---|---|
| private static boolean isRFC5987AttrChar(byte c) | |
| parse | back to summary |
|---|---|
| public static ContentDisposition parse(String contentDisposition) Parse a Content-Disposition header value as defined in RFC 2183.
| |
| tokenize | back to summary |
|---|---|
| private static List | |
| toString | back to summary |
|---|---|
| public String toString() Overrides java. Return the header value for this content disposition as defined in RFC 6266.
| |
ContentDisposition.
| Modifier and Type | Method and Description |
|---|---|
| public ContentDisposition | |
| public ContentDisposition. | creationDate(ZonedDateTime creationDate)
Deprecated
since 5.2.3 as per
RFC 6266, Appendix B,
to be removed in a future release.
Set the value of the creation-date parameter. |
| public ContentDisposition. | |
| public ContentDisposition. | |
| public ContentDisposition. | modificationDate(ZonedDateTime modificationDate)
Deprecated
since 5.2.3 as per
RFC 6266, Appendix B,
to be removed in a future release.
Set the value of the modification-date parameter. |
| public ContentDisposition. | |
| public ContentDisposition. | readDate(ZonedDateTime readDate)
Deprecated
since 5.2.3 as per
RFC 6266, Appendix B,
to be removed in a future release.
Set the value of the read-date parameter. |
| public ContentDisposition. | size(Long size)
Deprecated
since 5.2.3 as per
RFC 6266, Appendix B,
to be removed in a future release.
Set the value of the size parameter. |
| build | back to summary |
|---|---|
| public ContentDisposition build() Build the content disposition. | |
| creationDate | back to summary |
|---|---|
| public ContentDisposition. Deprecated since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release. Set the value of the creation-date parameter.
| |
| filename | back to summary |
|---|---|
| public ContentDisposition. Set the value of the filename parameter. The given
filename will be formatted as quoted-string, as defined in RFC 2616,
section 2.2, and any quote characters within the filename value will
be escaped with a backslash, e.g. | |
| filename | back to summary |
|---|---|
| public ContentDisposition. Set the value of the Note Do not use this for a
| |
| modificationDate | back to summary |
|---|---|
| public ContentDisposition. Deprecated since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release. Set the value of the modification-date parameter.
| |
| name | back to summary |
|---|---|
| public ContentDisposition. Set the value of the name parameter. | |
| readDate | back to summary |
|---|---|
| public ContentDisposition. Deprecated since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release. Set the value of the read-date parameter.
| |
| size | back to summary |
|---|---|
| public ContentDisposition. Deprecated since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release. Set the value of the size parameter.
| |
| Modifier and Type | Field and Description |
|---|---|
| private Charset | |
| private ZonedDateTime | |
| private String | |
| private ZonedDateTime | |
| private String | |
| private ZonedDateTime | |
| private Long | |
| private final String |
| Access | Constructor and Description |
|---|---|
| public |
| charset | back to summary |
|---|---|
| private Charset charset
| |
| creationDate | back to summary |
|---|---|
| private ZonedDateTime creationDate
| |
| filename | back to summary |
|---|---|
| private String filename
| |
| modificationDate | back to summary |
|---|---|
| private ZonedDateTime modificationDate
| |
| name | back to summary |
|---|---|
| private String name
| |
| readDate | back to summary |
|---|---|
| private ZonedDateTime readDate
| |
| size | back to summary |
|---|---|
| private Long size
| |
| type | back to summary |
|---|---|
| private final String type | |
| BuilderImpl | back to summary |
|---|---|
| public BuilderImpl(String type) | |
| build | back to summary |
|---|---|
| public ContentDisposition build() Implements org. Doc from org. Build the content disposition.
| |
| creationDate | back to summary |
|---|---|
| public ContentDisposition. Implements org. Doc from org. Set the value of the creation-date parameter.
| |
| filename | back to summary |
|---|---|
| public ContentDisposition. Implements org. Doc from org. Set the value of the filename parameter. The given
filename will be formatted as quoted-string, as defined in RFC 2616,
section 2.2, and any quote characters within the filename value will
be escaped with a backslash, e.g.
| |
| filename | back to summary |
|---|---|
| public ContentDisposition. Implements org. Doc from org. Set the value of the Note Do not use this for a
| |
| modificationDate | back to summary |
|---|---|
| public ContentDisposition. Implements org. Doc from org. Set the value of the modification-date parameter.
| |
| name | back to summary |
|---|---|
| public ContentDisposition. Implements org. Doc from org. Set the value of the name parameter.
| |
| readDate | back to summary |
|---|---|
| public ContentDisposition. Implements org. Doc from org. Set the value of the read-date parameter.
| |
| size | back to summary |
|---|---|
| public ContentDisposition. Implements org. Doc from org. Set the value of the size parameter.
| |